Actions
Get one action
GET
header
AuthorizationBearer <token>Your space key (om_...). Create one with POST /v1/spaces.
id*stringShort action id, e.g. A7
Length
1 <= length <= 32The action
application/json- response
id*stringclass*stringsummary*stringpayload*payload_hash*stringpreconditions*array<unknown>meta*idempotency_key*stringstatus*ActionStatusValue in
"pending""approved""executing""done""failed""denied""expired""superseded""blocked"receipt*|nullexpires_at*string|nullcreated_at*stringupdated_at*stringcurl -X GET 'https://api.openmemory.sh/v1/actions/string'Example Response
{ "id": "string", "class": "string", "summary": "string", "payload": { "property1": null, "property2": null }, "payload_hash": "string", "preconditions": [ null ], "meta": { "property1": null, "property2": null }, "idempotency_key": "string", "status": "pending", "receipt": { "property1": null, "property2": null }, "expires_at": "string", "created_at": "string", "updated_at": "string"}